org.minidns.dnslabel

## Class ALabel

- java.lang.Object
- - org.minidns.dnslabel.DnsLabel
  - - org.minidns.dnslabel.LdhLabel
    - - org.minidns.dnslabel.ReservedLdhLabel
      - - org.minidns.dnslabel.XnLabel
        - - org.minidns.dnslabel.ALabel

- All Implemented Interfaces:
    CharSequence, Comparable<DnsLabel>

      public final class ALabel
      extends XnLabel

  Represents an ASCII label in DNS.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.minidns.dnslabel.DnsLabel

      `DnsLabel.LabelToLongException`

  - ### Field Summary

    - ### Fields inherited from class org.minidns.dnslabel.DnsLabel

      `label, MAX_LABEL_LENGTH_IN_OCTETS, VALIDATE, WILDCARD_LABEL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ALabel(String label)` Constructor for ASCII label.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getInternationalizedRepresentationInternal()` Gets the internal internationalized representation.

    - ### Methods inherited from class org.minidns.dnslabel.XnLabel

      `fromInternal, isXnLabel, isXnLabelInternal`

    - ### Methods inherited from class org.minidns.dnslabel.ReservedLdhLabel

      `isReservedLdhLabel, isReservedLdhLabelInternal`

    - ### Methods inherited from class org.minidns.dnslabel.LdhLabel

      `isLdhLabel`

    - ### Methods inherited from class org.minidns.dnslabel.DnsLabel

      `asLowercaseVariant, charAt, compareTo, equals, from, from, getInternationalizedRepresentation, getLabelType, hashCode, isIdnAcePrefixed, length, subSequence, toString, writeToBoas`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.CharSequence

      `chars, codePoints`

- - ### Constructor Detail

    - #### ALabel

          protected ALabel(String label)

      Constructor for ASCII label.
      Parameters:
        `label` - ASCII string

  - ### Method Detail

    - #### getInternationalizedRepresentationInternal

          protected String getInternationalizedRepresentationInternal()

      Description copied from class: `DnsLabel`
      Gets the internal internationalized representation.
      Overrides:
        `getInternationalizedRepresentationInternal` in class `DnsLabel`
      Returns:
        label string